# -*- mode: ruby -*-
# vi: set ft=ruby :

website_port=35555
box_version='202105.25.0'

Vagrant.configure("2") do |config|
  config.vm.box = "bento/debian-10"
  config.vm.box_version = box_version
  config.vm.network "forwarded_port", guest: 80, host: website_port

  config.vm.provider "virtualbox" do |v|
    v.memory = 8192
    v.cpus = 4
  end

  config.vm.provision "shell", inline: "mkdir -p /etc/salt; [ -f /etc/salt/grains ] || echo 'is_vagrant: True' > /etc/salt/grains ; sed -i -e '/^is_vagrant/{s/is_vagrant:.*/is_vagrant: True/;:a;n;ba;q}' -e '$ais_vagrant: True' /etc/salt/grains"

  config.vm.provision "file", source: "#{__dir__}/provisioning", destination: "/tmp/provisioning"
  config.vm.provision "shell", inline: "chmod +x /tmp/provisioning/* && /tmp/provisioning/build"
end
